Bug 153625 - [bsd.port.mk] Pass CPPFLAGS to MAKE_ENV and CONFIGURE_ENV
[bsd.port.mk] Pass CPPFLAGS to MAKE_ENV and CONFIGURE_ENV
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-02 16:30 UTC by gerald
Modified: 2011-06-07 00:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.11 KB, patch)
2011-01-02 16:30 UTC, gerald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gerald 2011-01-02 16:30:11 UTC
	Now that we are properly passing CPP (PR 151047) we also
	need to do the same for CPPFLAGS.

	In fact, lack of doings so has causing real bugs, cf.
	PR 151792 (and PR 151848) which I had to work around in
	the individual port.

Fix: Note: the patch around MAKE_ENV appears larger than it is,
	we really only add CPPFLAGS and reformat things.

How-To-Repeat: 	Try building lang/gcc44 on amd64 without the workaround that
	I will commit later today.
Comment 1 Mark Linimon freebsd_committer 2011-01-02 18:12:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

will need -exp run.
Comment 2 Erwin Lansing freebsd_committer 2011-01-02 18:17:49 UTC
State Changed
From-To: open->analyzed

take for -exp run
Comment 3 Erwin Lansing freebsd_committer 2011-01-10 13:44:53 UTC
State Changed
From-To: analyzed->feedback

This PR was run as a set of 144482, 152102 and 153625 
which had a large number of errors.  Errors directly 
related to this set may have been misanalysed or masked 
by errors from one of the other PRs.  Full set of logs at 
http://pointyhat.freebsd.org/errorlogs/i386-8-exp-failure.html 
(after January 8). 

The follow errors are from this PR: 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/wire-1.1.3_1.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/libjackasyn-0.13_1.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/pike76-7.6.112_10.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/hp48xgcc-1.0.2_1.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/jzintv-1.0b3_1.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/vice-gnome-2.2_4.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/gbe-0.0.22_3.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/connectfive-1.0.2_4.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/openjazz-20100926.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/metapixel-1.0.2_4.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/blender-2.49b_5.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/ffmpeg-2010.12.29.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/komclean-1.1.0.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/openscep-0.4.2_4.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/rkward-kde4-0.5.4.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/py26-pycrack-0.5.1.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/odt2txt-0.4.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/py26-hyperestraier-0.0.15_1.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/vtk-5.6.1_1.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/fbcmd-0.5.1_4.log 
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/coldsync-2.2.5_8.log
Comment 4 Erwin Lansing freebsd_committer 2011-01-10 13:58:12 UTC
Responsible Changed
From-To: portmgr->gerald

Return to submitter for feedback.
Comment 5 dfilter freebsd_committer 2011-01-12 07:40:27 UTC
johans      2011-01-12 07:40:22 UTC

  FreeBSD ports repository

  Modified files:
    lang/pike76          Makefile 
  Log:
  Set CPPFLAGS and pass it to configure explicitly.
  This should be a no-op and result in the same package.
  It avoids the port build breaking when ports/153625 gets committed.
  
  PR:             ports/153625
  Submitted by:   gerald
  Feature safe:   yes
  
  Revision  Changes    Path
  1.54      +2 -1      ports/lang/pike76/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2011-01-12 20:11:03 UTC
gerald      2011-01-12 20:10:50 UTC

  FreeBSD ports repository

  Modified files:
    security/py-crack    Makefile distinfo 
  Log:
  Adjust MAKE_ENV and add CFLAGS to be more robust.
  
  PR:             153625
  Submitted by:   Sofian Brabez <sbrabez@gmail.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.7       +3 -2      ports/security/py-crack/Makefile
  1.4       +0 -1      ports/security/py-crack/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2011-01-13 07:23:05 UTC
martymac    2011-01-13 07:23:00 UTC

  FreeBSD ports repository

  Modified files:
    emulators/jzintv     Makefile distinfo 
    games/openjazz       Makefile distinfo 
  Log:
  Fix MAKE_ENV to make the port build with pending patch from ports/153625.
  
  PR:     ports/153625
  Submitted by:   gerald
  Feature safe:   yes
  Approved by:    ehaupt (mentor)
  
  Revision  Changes    Path
  1.6       +3 -2      ports/emulators/jzintv/Makefile
  1.2       +0 -1      ports/emulators/jzintv/distinfo
  1.7       +4 -4      ports/games/openjazz/Makefile
  1.5       +0 -1      ports/games/openjazz/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2011-01-15 22:57:33 UTC
gerald      2011-01-15 22:57:28 UTC

  FreeBSD ports repository

  Modified files:
    graphics/metapixel   Makefile distinfo 
  Log:
  Properly set CPPFLAGS and LDFLAGS at a Makefile level instead of just
  within MAKE_ENV and incrementally instead of absolutely.
  
  PR:             153625
  Feature safe:   yes
  
  Revision  Changes    Path
  1.22      +3 -2      ports/graphics/metapixel/Makefile
  1.8       +0 -1      ports/graphics/metapixel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2011-01-15 23:54:49 UTC
gerald      2011-01-15 23:54:43 UTC

  FreeBSD ports repository

  Modified files:
    security/openscep    Makefile 
  Log:
  Fix the handling of CPPFLAGS in the context of CONFIGURE_ENV / MAKE_ENV.
  
  PR:             153625
  Feature safe:   yes
  
  Revision  Changes    Path
  1.18      +3 -4      ports/security/openscep/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2011-01-16 00:03:09 UTC
gerald      2011-01-16 00:03:03 UTC

  FreeBSD ports repository

  Modified files:
    textproc/odt2txt     Makefile distinfo 
  Log:
  We no longer need to override ICONV_CHAR via CPPFLAGS, it is automatically
  detected now.  (This also avoids double quotes in CPPFLAGS. [1])
  
  PR:             153625 [1]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +1 -1      ports/textproc/odt2txt/Makefile
  1.4       +0 -1      ports/textproc/odt2txt/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2011-01-16 01:07:36 UTC
gerald      2011-01-16 01:07:31 UTC

  FreeBSD ports repository

  Modified files:
    textproc/py-hyperestraier Makefile 
  Log:
  Fix the handling of CPPFLAGS and LDFLAGS by making them global settings
  and then passing them to MAKE_ENV instead of just setting them in the
  context of the latter.
  
  PR:             153625
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +3 -2      ports/textproc/py-hyperestraier/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Gerald Pfeifer freebsd_committer 2011-01-16 01:54:08 UTC
State Changed
From-To: feedback->open

Based on the pointyhat findings, I contacted all maintainers of ports 
that have one and looked into those that don't.  Here are my findings. 

Most ports have been changed already or the issue seems unrelated: 
================================================================= 

libjackasyn 
-> Jose Alonso Cardenas Marquez <acm@FreeBSD.org> 
-> Marked as deprecated by maintainer who is fine with the bsd.port.mk change 

pike76 
-> Johan van Selst <johans@FreeBSD.org> 
-> Fixed in port 

hp48xgcc 
-> Alexey Dokuchaev <danfe@FreeBSD.org> 
-> Fixed in port 

jzintv 
openjazz 
-> Ganael LAPLANCHE <martymac@FreeBSD.org> 
-> Fixed in ports 

pycrack 
-> sbrabez@gmail.com 
-> Fixed in port; gerald committed patch provided by maintainer 

rkward-kde4 
-> Thierry Thomas <thierry@FreeBSD.org> 
-> Fails to reproduce, believes it was a transient failure 

fbcmd 
-> Roman Bogorodskiy <novel@FreeBSD.org> 
-> Fixed in port 

vice-gnome 
-> Dirk Meyer <dinoex@FreeBSD.org> 
-> Looks pretty much unreleated; did not see response, but apparently 
fixed according to my reading of recent port changes 

vtk 
-> Pietro Cerutti <gahr@FreeBSD.org> 
-> Error independent of patch, maintainer working on it 


For the following the maintainer is fine with marking the port BROKEN: 
===================================================================== 

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/blender-2.49b_5.log 
-> Marcus von Appen <mva@FreeBSD.org> 
-> Will look into it a bit later, fine with BROKEN, no show stopper 


For the following I have suggested a fix to the maintainer: 
========================================================== 

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/connectfive-1.0.2_4.log 
-> Dmitry Marakasov <amdmi3@FreeBSD.org> 
-> Gerald provided idea for fix to maintainer 

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/coldsync-2.2.5_8.log 
-> arensb+freebsd-ports@ooblick.com 
-> Gerald does not reproduce on usual tester, but analyzed pointyhat 
and suggested concrete patch to maintainer 

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/komclean-1.1.0.log 
-> smyru@heron.pl 
-> Gerald suggested concrete patch to maintainer 


In addition I have fixed the following unmaintained ports: 
========================================================= 

metapixel 

openscep 

odt2txt 

py-hyperestraier  


The following await responses from their maintainers: 
==================================================== 

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/wire-1.1.3_1.log 
-> Dennis Herrmann <dhn@FreeBSD.org> 

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/ffmpeg-2010.12.29.log 
-> Martin Matuska <mm@FreeBSD.org> 


Comment 13 Gerald Pfeifer freebsd_committer 2011-01-16 01:54:08 UTC
Responsible Changed
From-To: gerald->portmgr
Comment 14 dfilter freebsd_committer 2011-01-26 00:45:14 UTC
gerald      2011-01-26 00:45:03 UTC

  FreeBSD ports repository

  Modified files:
    net-im/komclean      Makefile distinfo 
  Added files:
    net-im/komclean/files patch-src-Makefile 
  Log:
  Correct source Makefile to use CXXFLAGS instead of CPPFLAGS when invoking
  the C++ compiler.  Adjust port Makefile accordingly, removing a hack.
  
  PR:             153625
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2       +1 -1      ports/net-im/komclean/Makefile
  1.2       +0 -1      ports/net-im/komclean/distinfo
  1.1       +26 -0     ports/net-im/komclean/files/patch-src-Makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter freebsd_committer 2011-01-26 01:00:49 UTC
gerald      2011-01-26 01:00:44 UTC

  FreeBSD ports repository

  Modified files:
    palm/coldsync        Makefile distinfo pkg-plist 
  Log:
  Add -I${LOCALBASE}/include to CFLAGS. [1]  Sort pkg-plist.
  
  PR:             153625 [1]
  Approved by:    maintainer timeout (11 days only), portmgr nudging
  Feature safe:   yes
  
  Revision  Changes    Path
  1.42      +1 -1      ports/palm/coldsync/Makefile
  1.11      +0 -1      ports/palm/coldsync/distinfo
  1.12      +10 -10    ports/palm/coldsync/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 pav freebsd_committer 2011-01-26 10:19:17 UTC
Responsible Changed
From-To: portmgr->pav

Take for another exp-run
Comment 18 Gerald Pfeifer freebsd_committer 2011-01-28 20:31:30 UTC
Responsible Changed
From-To: gerald->ports

I'm giving up. 

This most obviously correct and trivial change has cost me 8+ hours 
so far, and I have gone out of my way to get broken ports addressed, 
including several ones which were even unmaintained. 

It's just wrong to put the onus of making such unambiguous improvements  
so heavily on the ones contributing them.  I would be more than happy 
to see someone else pick this up, it likely won't be me though.
Comment 19 Mark Linimon freebsd_committer 2011-01-28 21:20:14 UTC
Responsible Changed
From-To: ports->freebsd-ports-bugs

canonicalize assignment.
Comment 20 dfilter freebsd_committer 2011-01-28 23:30:40 UTC
dhn         2011-01-28 23:30:35 UTC

  FreeBSD ports repository

  Modified files:
    net/wire             Makefile 
  Log:
  - Fix the handling of CPPFLAGS in the context of CONFIGURE_ENV / MAKE_ENV.
  
  PR:             ports/153625
  Submitted by:   gerald
  Feature safe:   yes
  
  Revision  Changes    Path
  1.12      +14 -4     ports/net/wire/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 21 dfilter freebsd_committer 2011-03-07 07:32:20 UTC
erwin       2011-03-07 07:32:06 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
  Log:
  Pass CPPFLAGS to MAKE_ENV and CONFIGURE_ENV
  
  PR:             153625
  Submitted by:   gerald
  
  Revision  Changes    Path
  1.674     +5 -4      ports/Mk/bsd.port.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 22 Erwin Lansing freebsd_committer 2011-03-07 07:33:44 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 23 dfilter freebsd_committer 2011-03-19 12:15:21 UTC
gerald      2011-03-19 12:15:06 UTC

  FreeBSD ports repository

  Modified files:
    lang/gcc44           Makefile distinfo 
  Log:
  Update to the 20110315 snapshot of GCC 4.4.6.
  
  Remove the explicit passing of CPPFLAGS to MAKE_ENV which is no longer
  necessary. [1]
  
  PR:             153625 [1]
  
  Revision  Changes    Path
  1.464     +1 -2      ports/lang/gcc44/Makefile
  1.335     +8 -8      ports/lang/gcc44/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 24 dfilter freebsd_committer 2011-03-19 20:52:07 UTC
gerald      2011-03-19 20:50:11 UTC

  FreeBSD ports repository

  Modified files:
    emulators/wine       Makefile 
  Log:
  Remove the explicit passing of CPPFLAGS to MAKE_ENV which is no longer
  necessary; just set CPPFLAGS as a regular variable.
  
  PR:             153625
  
  Revision  Changes    Path
  1.367     +2 -2      ports/emulators/wine/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 25 dfilter freebsd_committer 2011-03-21 22:24:08 UTC
gerald      2011-03-21 22:24:00 UTC

  FreeBSD ports repository

  Modified files:
    lang/sdcc            Makefile 
  Log:
  Remove the explicit passing of CPPFLAGS to CONFIGURE_ENV which is no
  longer necessary.
  
  PR:             153625
  
  Revision  Changes    Path
  1.22      +1 -1      ports/lang/sdcc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 26 dfilter freebsd_committer 2011-03-22 00:32:15 UTC
gerald      2011-03-22 00:32:07 UTC

  FreeBSD ports repository

  Modified files:
    devel/libelf         Makefile distinfo 
  Log:
  Remove the explicit passing of CPPFLAGS to CONFIGURE_ENV which is no
  longer necessary.  Rather set CPPFLAGS in the Makefile.
  
  PR:             153625
  Approved by:    maintainer (roam)
  
  Revision  Changes    Path
  1.27      +2 -2      ports/devel/libelf/Makefile
  1.15      +0 -1      ports/devel/libelf/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 27 dfilter freebsd_committer 2011-03-23 00:24:14 UTC
gerald      2011-03-23 00:23:44 UTC

  FreeBSD ports repository

  Modified files:
    lang/sdcc-devel      Makefile distinfo pkg-plist 
    lang/sdcc-devel/files patch-device-lib-Makefile.in 
  Added files:
    lang/sdcc-devel/files patch-device-non-free-lib-Makefile.in 
  Log:
  Update to 3.0.2.2011.03.21. This includes the following changes:
  - License of runtime libraries changed to GPLv2 + linking exception.
    Some headers and libraries for Microchip PIC devices are generated
    from MPLAB include files and have the additional restriction that
    they may only be used with authentic Microchip devices. These
    headers and libraries have been moved into separate directories.
    You can add these directories to the compiler's search path with the
    --use-non-free command line option.
  - Improvements to register allocation.
  - Various bug fixes. [1]
  
  Remove the explicit passing of CPPFLAGS to CONFIGURE_ENV which is no
  longer necessary. [2]
  
  Submitted by:   tijl (maintainer) [1]
  PR:             155762 [1], 153625 [2]
  
  Revision  Changes    Path
  1.32      +10 -13    ports/lang/sdcc-devel/Makefile
  1.19      +2 -3      ports/lang/sdcc-devel/distinfo
  1.10      +8 -19     ports/lang/sdcc-devel/files/patch-device-lib-Makefile.in
  1.1       +32 -0     ports/lang/sdcc-devel/files/patch-device-non-free-lib-Makefile.in (new)
  1.20      +428 -418  ports/lang/sdcc-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 28 dfilter freebsd_committer 2011-06-07 00:44:11 UTC
gerald      2011-06-06 23:43:58 UTC

  FreeBSD ports repository

  Modified files:
    .                    CHANGES 
  Log:
  Describe how CPPFLAGS is now passed to both the configure and make
  environments, so we do not need to manually touch CONFIGURE_ENV and
  MAKE_ENV any more in many cases.
  
  Discussed with: portmgr
  PR:             153625
  
  Revision  Changes    Path
  1.101     +16 -1     ports/CHANGES
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"